Bug 317891 - [hts-5.1.1][i386][network][EL4-U6] - Network test result differs from Hardware Catelog Result
[hts-5.1.1][i386][network][EL4-U6] - Network test result differs from Hardwar...
Status: CLOSED NOTABUG
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5
i386 Linux
low Severity low
: ---
: ---
Assigned To: Greg Nichols
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-04 03:58 EDT by Satyabrata Maitra
Modified: 2008-07-16 17:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-08 09:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
i386-network-tar file (390.00 KB, application/x-tar)
2007-10-04 03:58 EDT, Satyabrata Maitra
no flags Details
.rpm file for EL4-U6-i386 (2.88 MB, application/x-rpm)
2007-10-04 04:00 EDT, Satyabrata Maitra
no flags Details

  None (edit)
Description Satyabrata Maitra 2007-10-04 03:58:32 EDT
Description of problem:
When Tested for network in EL4-U6, i386 for hts-5.1.1, the result shown in
output.log is Network Test PASSED. but the certifiation result showing, its
FAIL. It should not differ!
Both .rpm file for EL4-U6-i386 and the other log file is attached with this bug.

Version-Release number of selected component (if applicable):
hts-5.1.1
Tree Used : EL4-U6-20070927.0

How reproducible:
Attempted Once only.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
The result is different

Expected results:
It should show the same result.

Additional info:
Comment 1 Satyabrata Maitra 2007-10-04 03:58:32 EDT
Created attachment 215551 [details]
i386-network-tar file
Comment 2 Satyabrata Maitra 2007-10-04 04:00:40 EDT
Created attachment 215561 [details]
.rpm file for EL4-U6-i386

Certification Number what I created is - 265326 by smaitra
Comment 3 Greg Nichols 2007-10-04 10:06:57 EDT
HTS shows eth0 as a PASS, both in the output log, and in the results.xml file.
It also shows eth1 and eth2 as FAILED.    I suspect this is why the HCL shows
the test results for network as FAILED - 2 of 3 interfaces failed.

Could this be the case?
Comment 4 Satyabrata Maitra 2007-10-08 03:22:34 EDT
Greg

Yes, I think so too. But my question is as eth0 and eth1 are two sepatate tests
so, entire hts process should generate two separate test run for these two,
otherwise, even if one of them are PASS, the network test will show FAIL. Don't
know if the idea is feasible or possible or not!
The cases may be like hts certify --test network eth0 &&
                      hts certify --test network eth1, or eth2, like this.
Please suggest and for now pls inform if this bug is to be closed.
Comment 5 Greg Nichols 2007-10-08 09:51:56 EDT
I'm not sure what you're asking.   HTS does generate two separate tests, one for
each interface.   To be certified, all interfaces on a system must PASS.

Note You need to log in before you can comment on or make changes to this bug.